import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  siteKey: z.string(),
  username: z.string(),
  password: z.string()
}).strict();
export const InsuranceCredentialUncheckedCreateInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialUncheckedCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialUncheckedCreateInput>;
export const InsuranceCredentialUncheckedCreateInputObjectZodSchema = makeSchema();
